File dblatex.spec of Package dblatex

#
# spec file for package dblatex
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dblatex
Version:        0.3.10
Release:        0
Summary:        DocBook to LaTeX Publishing
License:        GPL-2.0
Group:          Productivity/Publishing/DocBook
Url:            http://dblatex.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#PATCH-FIX-OPENSUSE dblatex-0.3.4-disable-debian.patch toganm@opensuse.org -disables debian specific installation parts
Patch0:         dblatex-0.3.4-disable-debian.patch
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  grep
BuildRequires:  libxslt
BuildRequires:  python-devel
BuildRequires:  pyxml
BuildRequires:  texlive-collection-fontsrecommended
BuildRequires:  texlive-epstopdf
BuildRequires:  texlive-latex
BuildRequires:  transfig
BuildRequires:  tex(amsmath.sty)
BuildRequires:  tex(amssymb.sty)
BuildRequires:  tex(anysize.sty)
BuildRequires:  tex(appendix.sty)
BuildRequires:  tex(attachfile.sty)
BuildRequires:  tex(bibtopic.sty)
BuildRequires:  tex(calc.sty)
BuildRequires:  tex(changebar.sty)
BuildRequires:  tex(cmap.sty)
BuildRequires:  tex(color.sty)
BuildRequires:  tex(colortbl.sty)
BuildRequires:  tex(courier.sty)
BuildRequires:  tex(dummyels.sty)
BuildRequires:  tex(enumitem.sty)
BuildRequires:  tex(fancybox.sty)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(fancyvrb.sty)
BuildRequires:  tex(float.sty)
BuildRequires:  tex(fontenc.sty)
BuildRequires:  tex(fontspec.sty)
BuildRequires:  tex(footmisc.sty)
BuildRequires:  tex(hyperref.sty)
BuildRequires:  tex(ifpdf.sty)
BuildRequires:  tex(ifxetex.sty)
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(listings.sty)
BuildRequires:  tex(mathrsfs.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(overpic.sty)
BuildRequires:  tex(pdfpages.sty)
BuildRequires:  tex(ragged2e.sty)
BuildRequires:  tex(rotating.sty)
BuildRequires:  tex(stmaryrd.sty)
BuildRequires:  tex(subfigure.sty)
BuildRequires:  tex(titlesec.sty)
BuildRequires:  tex(wasysym.sty)
BuildRequires:  tex(xecyr.sty)
BuildRequires:  tex(xltxtra.sty)
Requires:       docbook_4
Requires:       pyxml
Requires:       texlive-collection-fontsrecommended
Requires:       texlive-epstopdf
Requires:       texlive-latex
# grep for \usepackage in dblatex but require only one
# style of a texlive package
Requires:       tex(amsmath.sty)
Requires:       tex(amssymb.sty)
Requires:       tex(anysize.sty)
Requires:       tex(appendix.sty)
Requires:       tex(attachfile.sty)
Requires:       tex(bibtopic.sty)
Requires:       tex(calc.sty)
Requires:       tex(changebar.sty)
Requires:       tex(cmap.sty)
Requires:       tex(color.sty)
Requires:       tex(colortbl.sty)
Requires:       tex(courier.sty)
Requires:       tex(dummyels.sty)
Requires:       tex(enumitem.sty)
Requires:       tex(fancybox.sty)
Requires:       tex(fancyhdr.sty)
Requires:       tex(fancyvrb.sty)
Requires:       tex(float.sty)
Requires:       tex(fontenc.sty)
Requires:       tex(fontspec.sty)
Requires:       tex(footmisc.sty)
Requires:       tex(hyperref.sty)
Requires:       tex(ifpdf.sty)
Requires:       tex(ifxetex.sty)
Requires:       tex(lastpage.sty)
Requires:       tex(listings.sty)
Requires:       tex(mathrsfs.sty)
Requires:       tex(multirow.sty)
Requires:       tex(overpic.sty)
Requires:       tex(pdfpages.sty)
Requires:       tex(ragged2e.sty)
Requires:       tex(rotating.sty)
Requires:       tex(stmaryrd.sty)
Requires:       tex(subfigure.sty)
Requires:       tex(titlesec.sty)
Requires:       tex(wasysym.sty)
Requires:       tex(xecyr.sty)
Requires:       tex(xltxtra.sty)
BuildArch:      noarch
%py_requires

%description
dblatex is a program that transforms your SGML/XMLDocBook documents to DVI,
PostScript or PDF by translating them into pure LaTeX as a first process.
MathML 2.0 markups are supported, too. It started as a clone of DB2LaTeX.

%prep
%setup -q
%patch0 -p1
# correct doc paths in setup
sed -i 's/share\/doc\/dblatex/share\/doc\/packages\/dblatex/g' setup.py

# Remove any She-bang lines
sed -i '/#!\/usr\//d' lib/dbtexmf/dblatex/xetex/fsencoder.py \
  lib/dbtexmf/dblatex/xetex/fontspec.py \
  lib/dbtexmf/dblatex/xetex/fsconfig.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%{_docdir}/dblatex
%{_bindir}/dblatex
%{_datadir}/dblatex
%{python_sitelib}/*
%{_mandir}/man1/dblatex.1%{ext_man}

%changelog
openSUSE Build Service is sponsored by